% function [FCC,ETSI] = FCC_ETSI_mask(freq)
% 
% Generation of FCC and ETSI masks
% 

function [FCC,ETSI] = FCC_ETSI_mask(freq)

S = warning;
warning off;
FCC=ones(1,size(freq,2))*-43.9;
FCC(freq>960e6)   = -75.3;
FCC(freq>1164e6)  = -85.3;
FCC(freq>1240e6)  = -75.3;
FCC(freq>1559e6)  = -85.3;
FCC(freq>1610e6)  = -53.3;
FCC(freq>1990e6)  = -51.3;
FCC(freq>3100e6)  = -41.3;
FCC(freq>10600e6) = -51.3;


ETSI=ones(1,size(freq,2))*-41.3;
ETSI(freq<3100e6)= -51.3+87*log10(freq(freq<3100e6)./3100e6);
ETSI(freq>10600e6)= -51.3+87*log10(10600e6./freq(freq>10600e6));

warning(S);